/*
 * atom_graphnode.hpp
 *
 *  Created on: Oct 19, 2009
 *      Author: heber
 */

#ifndef ATOM_GRAPHNODE_HPP_
#define ATOM_GRAPHNODE_HPP_


using namespace std;

/*********************************************** includes ***********************************/

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <fstream>

#include "atom_graphnodeinfo.hpp"
#include "atom_particleinfo.hpp"

/****************************************** forward declarations *****************************/

/********************************************** declarations *******************************/

class GraphNode : public GraphNodeInfo, public virtual ParticleInfo {
public:

  GraphNode();
  virtual ~GraphNode();

  void OutputGraphInfo(ofstream *out) const;
  void OutputComponentNumber(ofstream *out) const;

private:

};

#endif /* ATOM_GRAPHNODE_HPP_ */
